FROM openshift/golang-builder:1.10 AS builder
ENV SOURCE_GIT_COMMIT=98e45d36193cf15f1a943e382ee859a94696c5d3 SOURCE_DATE_EPOCH=1574113834 BUILD_VERSION=v4.1.27 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator SOURCE_GIT_TAG=v1.0.0-51-g98e45d3 BUILD_RELEASE=201912030019
WORKDIR /go/src/github.com/openshift/cluster-version-operator
COPY . .
RUN hack/build-go.sh; \
    mkdir -p /tmp/build; \
    cp _output/linux/$(go env GOARCH)/cluster-version-operator /tmp/build/cluster-version-operator

FROM openshift/ose-base:v4.1.27.20191203.001959
ENV SOURCE_GIT_COMMIT=98e45d36193cf15f1a943e382ee859a94696c5d3 SOURCE_DATE_EPOCH=1574113834 BUILD_VERSION=v4.1.27 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator SOURCE_GIT_TAG=v1.0.0-51-g98e45d3 BUILD_RELEASE=201912030019
COPY --from=builder /tmp/build/cluster-version-operator /usr/bin/
COPY install /manifests
COPY bootstrap /bootstrap
ENTRYPOINT ["/usr/bin/cluster-version-operator"]

LABEL \
        com.redhat.component="cluster-version-operator-container" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-version-operator/commit/98e45d36193cf15f1a943e382ee859a94696c5d3" \
        version="v4.1.27" \
        name="openshift/ose-cluster-version-operator" \
        io.openshift.build.commit.id="98e45d36193cf15f1a943e382ee859a94696c5d3" \
        release="201912030019" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-version-operator"

